]> git.pld-linux.org Git - packages/exim.git/blobdiff - exim.init
- updated texinfo documentation to 3.20,
[packages/exim.git] / exim.init
index 9e6b9d87f7d530af77e541d1ed9af536d58d7301..d44122fd031138a51fe32c8e8e2c2f58082c796f 100644 (file)
--- a/exim.init
+++ b/exim.init
@@ -1,14 +1,13 @@
 #!/bin/sh
 #
-# exim          This shell script takes care of starting and stopping
-#               Exim.
+# exim         This shell script takes care of starting and stopping Exim.
 #
-# chkconfig: 2345 80 30
-# description: Exim is a Mail Transport Agent, which is the program \
-#              that moves mail from one machine to another.
-# processname: exim
-# config: /etc/exim.cf
-# pidfile: /var/run/exim.pid
+# chkconfig:   2345 80 30
+# description: Exim is a Mail Transport Agent, which is the program \
+#              that moves mail from one machine to another.
+# processname: exim
+# config:      /etc/exim.cf
+# pidfile:     /var/run/exim.pid
 
 # Source function library.
 . /etc/rc.d/init.d/functions
 # Source networking configuration.
 . /etc/sysconfig/network
 
-# Source sendmail configureation.
+# Source exim configureation.
 if [ -f /etc/sysconfig/exim ] ; then
        . /etc/sysconfig/exim
 else
-       DAEMON=yes
        QUEUE=1h
 fi
 
 # Check that networking is up.
-[ "${NETWORKING}" = "no" ] && exit 0
-
-[ -x /usr/bin/exim ] || exit 0
+if is_no "${NETWORKING}"; then
+       msg_Network_Down Exim
+       exit 1
+fi
 
 # See how we were called.
 case "$1" in
   start)
        # Start daemons.
-       show "Starting exim: "
-       daemon /usr/bin/exim $([ "$DAEMON" = "yes" ] && echo -bd) \
-                                  $([ -n "$QUEUE" ] && echo -q$QUEUE)
-       touch /var/lock/subsys/exim
+       if [ ! -f /var/lock/subsys/exim ]; then
+               msg_starting Exim
+               daemon exim -bd $([ -n "$QUEUE" ] && echo -q$QUEUE)
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/exim
+       else
+               msg_Already_Running Exim
+       fi
        ;;
   stop)
        # Stop daemons.
-       show "Shutting down exim: "
-       killproc exim
-       rm -f /var/lock/subsys/exim
+       if [ -f /var/lock/subsys/exim ]; then
+               msg_stopping Exim
+               killproc exim
+               rm -f /var/lock/subsys/exim >/dev/null 2>&1
+       else
+               msg_Not_Running Exim
+               exit 1
+       fi      
        ;;
   restart)
        $0 stop
@@ -52,9 +60,9 @@ case "$1" in
        status exim
        ;;
   *)
-       echo "Usage: $0 {start|stop|restart|status}"
+       msg_Usage "$0 {start|stop|restart|status}"
        exit 1
 esac
 
-exit 0
+exit $RETVAL
 
This page took 0.036648 seconds and 4 git commands to generate.